Bug 1905232 - [sig-imageregistry][Feature:ImageAppend] Image append should create images by appending them failing due to inconsistent images between CI and OCP
Summary: [sig-imageregistry][Feature:ImageAppend] Image append should create images by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Clayton Coleman
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-07 19:21 UTC by Fabian von Feilitzsch
Modified: 2021-02-24 15:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
operator install special-resource-operator
Last Closed: 2021-02-24 15:40:32 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25749 0 None closed Bug 1905232: Append image test should be relative to the tools image 2020-12-14 17:00:50 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:49 UTC

Description Fabian von Feilitzsch 2020-12-07 19:21:33 UTC
test:
[sig-imageregistry][Feature:ImageAppend] Image append should create images by appending them failing due to inconsistent images between CI and OCP

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=4.7&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-imageregistry%5C%5D%5C%5BFeature%3AImageAppend%5C%5D+Image+append+should+create+images+by+appending+them


This is a result of OCP images having an extra layer for injecting repository information. This test needs to be updated to handle that the shell image being used can have either 6 or 7 layers depending on whether it's an OCP or origin image.

See: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-4.7/1335987821197922304

fail [github.com/openshift/origin/test/extended/images/append.go:137]: Expected
    <[]v1.ImageLayer | len:6, cap:8>: [
        {
            Name: "sha256:1b8dabac56ed728c17a670d327474ab87dc392dc17721854ea599a7753326579",
            LayerSize: 74453962,
            MediaType: "application/vnd.docker.image.rootfs.diff.tar.gzip",
        },
        {
            Name: "sha256:6500ac87b29ffd00c8655be65a6824dfcf9fc0accc625158ef1060bcedc84ca8",
            LayerSize: 1788,
            MediaType: "application/vnd.docker.image.rootfs.diff.tar.gzip",
        },
        {
            Name: "sha256:d7d8dd57ffd8472e232127c8f3db02403d549d4801797ac7bb195892b4c104f2",
            LayerSize: 679812,
            MediaType: "application/vnd.docker.image.rootfs.diff.tar.gzip",
        },
        {
            Name: "sha256:a1aeb53e1245cf67fff17ffc4ee2407c339a64befe5b15837e3d3719ea17018b",
            LayerSize: 10925616,
            MediaType: "application/vnd.docker.image.rootfs.diff.tar.gzip",
        },
        {
            Name: "sha256:af8f9688a121396d59477c82a72dc360adfb4905a7df63f79a35c1c601adda0a",
            LayerSize: 22277767,
            MediaType: "application/vnd.docker.image.rootfs.diff.tar.gzip",
        },
        {
            Name: "sha256:3f9ba227910551286b8ee1320453ba39ead301de5b5032eea729447771b2b0d4",
            LayerSize: 83393294,
            MediaType: "application/vnd.docker.image.rootfs.diff.tar.gzip",
        },
    ]
to have length 7

Comment 1 Clayton Coleman 2020-12-07 19:27:38 UTC
Taking this since i refactored the test.  Test has to be more flexible.

Comment 6 errata-xmlrpc 2021-02-24 15:40:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.